/*
************************************************************************
*
*   OGLStereo.c - OpenGL stereo
*
*   Copyright (c) 1994-95
*
*   ETH Zuerich
*   Institut fuer Molekularbiologie und Biophysik
*   ETH-Hoenggerberg
*   CH-8093 Zuerich
*
*   SPECTROSPIN AG
*   Industriestr. 26
*   CH-8117 Faellanden
*
*   All Rights Reserved
*
*   Date of last modification : 96/01/22
*   Pathname of SCCS file     : /sgiext/molmol/sg/src/ogl/SCCS/s.OGLStereo.c
*   SCCS identification       : 1.2
*
************************************************************************
*/

#include "ogl_stereo.h"

#include <GL/gl.h>

/* The stereo buffers are exchanged in the configuration where we
   could test this (Maximum Impact running IRIX 5.3). This looks very
   much like a bug in the system software, once this is fixed this
   workaround has to be removed. */
#define EXCHANGE_BUFFERS 1

static BOOL StereoSwitch = FALSE, StereoState = FALSE;

void
SgOGLSetStereo(BOOL onOff)
{
  GLboolean support;

  if (onOff == StereoSwitch)
    return;
  
  StereoSwitch = onOff;

  glGetBooleanv(GL_STEREO, &support);
  if (! support)
    return;

  if (! onOff)
    glDrawBuffer(GL_BACK);

  StereoState = onOff;
}

void
SgOGLSetEye(SgEye eye)
{
  if (! StereoState)
    return;

#if EXCHANGE_BUFFERS
  if (eye == SG_EYE_LEFT)
    glDrawBuffer(GL_BACK_RIGHT);
  else
    glDrawBuffer(GL_BACK_LEFT);
#else
  if (eye == SG_EYE_LEFT)
    glDrawBuffer(GL_BACK_LEFT);
  else
    glDrawBuffer(GL_BACK_RIGHT);
#endif

  glClear(GL_DEPTH_BUFFER_BIT);
}
